package database

import (
	"time"

	"git.phc.dm.unipi.it/phc/cluster-dashboard/backend/model"
)

type Database interface {
	GetNode(hostname string) (*model.Node, error)
	GetJob(id string) (*model.Job, error)

	AllNodes() ([]*model.Node, error)
	AllJobs() ([]*model.Job, error)

	QueryVoltageSamples(from, to time.Time) ([]model.Sample[float64], error)
	QueryMemorySamples(from, to time.Time) ([]model.Sample[int64], error)
	QueryStorageSamples(from, to time.Time) ([]model.Sample[int64], error)
	QueryCPUSamples(from, to time.Time) ([]model.Sample[float64], error)
	QueryNetworkUploadSamples(from, to time.Time) ([]model.Sample[int64], error)
	QueryNetworkDownloadSamples(from, to time.Time) ([]model.Sample[int64], error)
}
