package executor

// Service is a service that handles executing commands on the main host and does a first processing of the raw data it gets from the system
type Service interface {
	SlurmQueue() ([]string, error)
	SlurmJobs() ([]string, error)

	NodeUptime(hostname string) (string, error)

	Temperature(hostname string) (string, error)
	MemoryUsage(hostname string) (string, error)
	StorageUsage(hostname string) (string, error)
	NetworkUpload(hostname string) (string, error)
	NetworkDownload(hostname string) (string, error)
}
