package executor

var _ Service = &Mock{}

type Mock struct {
	SlurmQueueFunc      func() ([]string, error)
	SlurmJobsFunc       func() ([]string, error)
	NodeUptimeFunc      func(hostname string) (string, error)
	TemperatureFunc     func(hostname string) (string, error)
	MemoryUsageFunc     func(hostname string) (string, error)
	StorageUsageFunc    func(hostname string) (string, error)
	NetworkUploadFunc   func(hostname string) (string, error)
	NetworkDownloadFunc func(hostname string) (string, error)
}

func (m Mock) SlurmQueue() ([]string, error) {
	return m.SlurmQueueFunc()
}

func (m Mock) SlurmJobs() ([]string, error) {
	return m.SlurmJobsFunc()
}

func (m Mock) NodeUptime(hostname string) (string, error) {
	return m.NodeUptimeFunc(hostname)
}

func (m Mock) Temperature(hostname string) (string, error) {
	return m.TemperatureFunc(hostname)
}

func (m Mock) MemoryUsage(hostname string) (string, error) {
	return m.MemoryUsageFunc(hostname)
}

func (m Mock) StorageUsage(hostname string) (string, error) {
	return m.StorageUsageFunc(hostname)
}

func (m Mock) NetworkUpload(hostname string) (string, error) {
	return m.NetworkUploadFunc(hostname)
}

func (m Mock) NetworkDownload(hostname string) (string, error) {
	return m.NetworkDownloadFunc(hostname)
}
