package model

import (
	"time"

	"golang.org/x/exp/constraints"
)

type Numeric = constraints.Ordered

// Job contiene le informazioni su un lavoro di slurm (il nostro gestore di code di lavori)
type Job struct {
	Id     string `json:"id"`
	Name   string `json:"name"`
	Status string `json:"status"`

	Nodes     []string `json:"nodes"`
	Resources []string `json:"resources"`
}

// Sample di un valore di tipo N (preferibilmente numerico) in un certo momento temporale.
type Sample[N Numeric] struct {
	Timestamp time.Time `json:"timestamp"`
	Value     N         `json:"value"`
}

// Node contiene le informazioni relative ad un nodo nel nostro sistema
type Node struct {
	Hostname  string    `json:"hostname"`
	StartTime time.Time `json:"startTime"`
}
