import { useEffect, useState } from 'preact/hooks'
import { Plot } from './Plot.jsx'
import { server } from '../utils.js'

export const GraphCard = ({ label, url }) => {
    const [samples, setSamples] = useState([])

    useEffect(() => {
        if (url) {
            server.get(url).then(data => setSamples(data))
        }
    }, [])

    return (
        <div class="card">
            <div class="label">{label}</div>
            <div class="graph">{url && <Plot samples={samples} />}</div>
        </div>
    )
}
