import { useEffect, useState } from 'preact/hooks'
import { server } from '../utils.js'
import { PlotDouble } from './PlotDouble.jsx'

export const GraphCardDouble = ({ label, url1, url2 }) => {
    const [samples1, setSamples1] = useState([])
    const [samples2, setSamples2] = useState([])

    useEffect(() => {
        if (url1) {
            server.get(url1).then(data => setSamples1(data))
        }
    }, [])

    useEffect(() => {
        if (url2) {
            server.get(url2).then(data => setSamples2(data))
        }
    }, [])

    return (
        <div class="card">
            <div class="label">{label}</div>
            <div class="graph">{url1 && url2 && <PlotDouble samples1={samples1} samples2={samples2} />}</div>
        </div>
    )
}
