import { GraphCard } from './components/Graph.jsx'
import { GraphCardDouble } from './components/GraphDouble.jsx'

const LOGO = String.raw`
_______________________ _______ _______ _______ _
(  ____ \__   __(  ____ (  ____ (  ____ (  ____ ( )
| (    \/  ) (  | (    \/ (    \/ (    \/ (    \//
| (_____   | |  | (__   | (__   | (__   | (__
(_____  )  | |  |  __)  |  __)  |  __)  |  __)
      ) |  | |  | (     | (     | (     | (
/\____) |  | |  | (____/\ )     | )     | (____/\
\_______)  )_(  (_______//      |/      (_______/
`.trim()

export const DashboardPage = ({}) => {
    return (
        <>
            <div class="sidebar">
                <div class="top">
                    <div class="logo">
                        <pre>
                            <code>{LOGO}</code>
                        </pre>
                    </div>
                    <div class="item">
                        <div class="icon">
                            <span class="material-symbols-outlined">dashboard</span>
                        </div>
                        <div class="label">Overview</div>
                    </div>
                    <div class="item">
                        <div class="icon">
                            <span class="material-symbols-outlined">device_thermostat</span>
                        </div>
                        <div class="label">Temperature</div>
                    </div>
                    <div class="item">
                        <div class="icon">
                            <span class="material-symbols-outlined"> speed </span>
                        </div>
                        <div class="label">CPU</div>
                    </div>
                    <div class="item">
                        <div class="icon">
                            <span class="material-symbols-outlined">swap_vert</span>
                        </div>
                        <div class="label">Network</div>
                    </div>
                    <div class="item">
                        <div class="icon">
                            <span class="material-symbols-outlined"> memory </span>
                        </div>
                        <div class="label">Memory</div>
                    </div>
                    <div class="item">
                        <div class="icon">
                            <span class="material-symbols-outlined">database</span>
                        </div>
                        <div class="label">Storage</div>
                    </div>
                    <div class="item">
                        <div class="icon">
                            <span class="material-symbols-outlined">view_list</span>
                        </div>
                        <div class="label">Jobs</div>
                    </div>
                </div>
                <div class="bottom">
                    <div class="item link">
                        <div class="icon">
                            <img src="/public/logo-gitea.svg" alt="logo gitea" />
                        </div>
                        <div class="label">
                            <a href="https://git.phc.dm.unipi.it/phc/cluster-dashboard">Dashboard</a>
                        </div>
                    </div>
                    <div class="item link">
                        <div class="icon">
                            <img src="/public/logo-gitea.svg" alt="logo gitea" />
                        </div>
                        <div class="label">
                            <a href="https://git.phc.dm.unipi.it/fdurastante/cpar2023">cpar2023</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="main">
                <GraphCard label="Uptime" />
                <GraphCard label="CPU" url="/api/stats/cpu"/>
                <GraphCard label="Storage" url="/api/stats/storage"/>
                <GraphCard label="Memory" url="/api/stats/memory"/>
                <GraphCardDouble label="Network" url1="/api/stats/network-upload" url2="/api/stats/network-download"/>
                <GraphCard label="Voltage" url="/api/stats/voltage" />
            </div>
        </>
    )
}

export const JobsPage = ({}) => {
    return <>Jobs Page</>
}
